%define module_name Bot-BasicBot-Pluggable-Module-Nagios
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/BasicBot/Pluggable/Module.pm) perl(ExtUtils/MakeMaker.pm) perl(Nagios/Scrape.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: report Nagios alerts to IRC
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIGPRESH/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A module for IRC bots powered by the Bot::BasicBot::Pluggable manpage to monitor a Nagios.install and report alerts to IRC.

Multiple Nagios instances are supported; these could be separate Nagios systems,
or just the same Nagios install but using different credentials.  As each
configured instance can have specific target channels defined, this means you
could have the bot check with the username "development" and report all visible
problems to the `#development' channel, then check again with the "sysad"
username and report problems visible to that user to the `#sysads' channel.

Actual monitoring is done using the Nagios::Scrape manpage, which scrapes the information
from the `status.cgi' script which powers Nagios' web interface.  This means
that, assuming your Nagios setup is configured to be viewable over the web, you
need no further setup to allow the bot to monitor it.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*

%changelog
* Fri Jan 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

